Atom Packages Directory

a package directory for a text editor of the 21st Century

Apicloud Autocomplete

Install with:
    apm install apicloud-autocomplete
  

Atom 插件: APICloud 语法提示与自动补全

插件主页: apicloud-autocomplete

安装与使用

安装Atom编辑器后,在packages中搜索 “apicloud-autocomplete”,点击安装,即可.

主要特性

支持 Mac/Windows/Linux等主流操作系统

是的,第一款同时支持三个主流操作系统的APICloud语法提示插件,现在可以在任意自己喜欢的系统上愉快地编码了!

模块智能提示

api.require 后模糊提示APICloud全部已有模块,再也不用担心记不住模块名了.

变量真实类型,智能推导

自动根据上下文,推断出变量的真实模块类型! 是的,就是这么强大!

方法名,模糊匹配

是的,现在再也不用担心记不住完整的方法名了,模糊匹配,就是这么智能!

示范代码,自动补全

基于文档有效示例代码整理,只为书写更有意义的代码模板!模块整体支持率,95%以上!

响应实时高效

基于Atom的 autocomplete-plus语法扩展引擎,采用哈希高效存储,使用最流行的Promise语法,只为更加流畅的编码体验!

文档链接,一键跳转

每个模板,每个方法,一键点击直达,就是这么方便!

模块跨平台支持,智能提示

智能提示模块的跨平台情况,再也不用小心翼翼地在网页确定支持哪个平台了!

开源共享

源码基于 GPL-3.0 协议开源,您在遵守协议的前提下,可自由扩展!欢迎大家 star/fork/pr !

Keywords: apicloud, 语法提示, autocomplete, 自动补全, snippet Suggest keywords
Fork me on GitHub